For the complete documentation index, see llms.txt. This page is also available as Markdown.

User Type

Viewing all user types

get

To view all users types:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
pageTokenstringOptional
requestedPageSizeintegerOptional
itemCountintegerOptional
get/api/v2/userType
GET /api/v2/userType HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

{
  "pageToken": "0",
  "requestedPageSize": 50,
  "itemCount": 2,
  "items": [
    {
      "userTypeId": 1,
      "name": "user",
      "title": "user",
      "status": "setup"
    },
    {
      "userTypeId": 4,
      "name": "service",
      "title": "service",
      "status": "setup"
    },
    {
      "userTypeId": 7,
      "name": "sftp",
      "title": "sftp",
      "status": "setup"
    }
  ]
}

Creating a new user type

post

To create a new user type:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired
titlestringRequired
Responses
200

Successful response

No content

post/api/v2/userType
POST /api/v2/userType HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "name": "text",
  "title": "text"
}
200

Successful response

No content

Viewing a specific user type

get

To view details for a specific user type:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userTypeIdstringRequired
Responses
200

Successful response

application/json
userTypeIdintegerOptional
namestringOptional
titlestringOptional
statusstringOptional
get/api/v2/userType/{userTypeId}
GET /api/v2/userType/{userTypeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

{
  "userTypeId": 4,
  "name": "service",
  "title": "service",
  "status": "setup"
}

Updating a specific user type

patch

To update a specific user type:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userTypeIdstringRequired
Body
namestringOptional
titlestringOptional
statusstringOptional
Responses
200

Successful response

application/json
userTypeIdintegerOptional
namestringOptional
titlestringOptional
statusstringOptional
patch/api/v2/userType/{userTypeId}
PATCH /api/v2/userType/{userTypeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "name": "text",
  "title": "text",
  "status": "text"
}
200

Successful response

{
  "userTypeId": 4,
  "name": "service",
  "title": "service",
  "status": "active"
}

Last updated

Was this helpful?